#### D.4.25.25 readNmzData

Procedure from library `normaliz.lib` (see normaliz_lib).

Usage:
  readNmzData(string suffix);

Return:
  Reads an output file of Normaliz containing an integer matrix and returns it as an intmat. For example, this function is useful if one wants to inspect the support hyperplanes. The filename is created from the current filename and the suffix given to the function. In addition to file suffixes, also sup, equ and cgr are allowed. They extract the support hyperplanes, equations and congruences, respectively, from the cst file.

Note:
  Needs an explicit filename set by setNmzFilename.
  Note that all functions in normaliz.lib write and read their data automatically so that readNmzData will usually not be used explicitly.
  This function reads only the first matrix in a file! But see su, equ, cgr above.)
  It is the responsability of the user to make sure that an output file read by this function has been created for the current input file of Normaliz. Files are not automatically removed before a new computation starts.
  Not every output file can be read by this function.

Example:

    LIB "normaliz.lib";
    setNmzFilename("VeryInteresting");
    intmat sgr[3][3]=1,2,3,4,5,6,7,8,9;
    intmat sgrnormal=normaliz(sgr,"cone");
    readNmzData("sup");
    ==> -8,7,0,
    ==> 2,-1,0
    readNmzData("equ");
    ==> 1,-2,1

See also: rmNmzFiles; setNmzDataPath; setNmzFilename; writeNmzData.

User manual for Singular version 4.4.1, 2025, generated by texi2html.